HmmerProfileParser (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.hmmer.HmmerProfileParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.hmmer
Class HmmerProfileParser

    java.lang.Object
      org.biojava.bio.program.hmmer.HmmerProfileParser

    public class HmmerProfileParser

extends Object

A class for parsing in Hmmer markov models from HMM_ls files generated by HMMER training note that this class is still currently experimental.

Author:
  Lachlan Coin

Field Summary
`protected Alphabet` | `alph`
`protected String` | `domain1`
`protected org.biojava.bio.program.hmmer.HmmerProfileParser.HmmerModel` | `hmm`

Constructor Summary
`protected` | `HmmerProfileParser(String domain)`

Method Summary
`HmmerProfileHMM` | `getModel()`
`protected HmmerProfileHMM` | `initialiseProfileHMM(int len)`
`static HmmerProfileHMM` | `parse(File inputfile)` Returns a profile HMM representing the core HMMER hmm
`static FullHmmerProfileHMM` | `parseFull(File inputfile)` Returns the full markov model - including the core model + J,C,N loop states.
`void` | `parseModel(File inputFile)`
`void` | `setProfileHMM()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alph

    protected Alphabet alph

### domain1

    protected String domain1

### hmm

    protected org.biojava.bio.program.hmmer.HmmerProfileParser.HmmerModel hmm

Constructor Detail

### HmmerProfileParser

    protected HmmerProfileParser(String domain)

Method Detail

### parse

    public static HmmerProfileHMM parse(File inputfile)

  Returns a profile HMM representing the core HMMER hmm

  Parameters:
    `inputfile` - the file which contains the Profile HMM data, as output by HMMER - e.g. HMM_ls

### parseFull

    public static FullHmmerProfileHMM parseFull(File inputfile)

  Returns the full markov model - including the core model + J,C,N loop states.

  Parameters:
    `inputfile` - the file which contains the Profile HMM data, as output by HMMER - e.g. HMM_ls

### initialiseProfileHMM

    protected HmmerProfileHMM initialiseProfileHMM(int len)

### getModel

    public HmmerProfileHMM getModel()

### setProfileHMM

    public void setProfileHMM()

### parseModel

    public void parseModel(File inputFile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD